# $Revision: 1.17 $, $Date: 2004/04/20 16:15:34 $
Summary:	A tetris-like puzzle game for X11
Summary(pl):	Tetrisopodobona gra dla X11
Name:		xpuyopuyo
Version:	0.9.8
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://chaos2.org/xpuyopuyo/%{name}-%{version}.tar.gz
# Source0-md5:	5286312415d632011cfd0e603f55c428
Source1:	%{name}.desktop
Patch0:		%{name}-am_link.patch
URL:		http://chaos2.org/xpuyopuyo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	libmikmod-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xpuyopuyo is a Tetris-like puzzle game where you strive to match up
four ``blobs'' of the same color. Each match gives you points, and
also dumps gray rocks on your opponent which are irritating and
troublesome to get rid of. Multiple matches at one time score more
points, and result in more rocks being dumped on the opponent (much to
their dismay). First person to fill up their screen with puyopuyo
blobs loses.

%description -l pl
Xpuyopuyo to tetrisopodobna gra puzlowa, w ktrej starasz si ustawi
cztery klocki tego samego kolory. Kade dopasowanie daje ci punkty
oraz zrzuca szare skay na twojego przeciwnika, ktry jest irytujcy i
ciko si go pozby. Wielokrotne dopasowania s warte wicej punktw
i skutkuj w wikszej liczbie ska zrzucanych na przeciwnika (na ich
trwog).

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"
install %{name}.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/%{name}
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpuyopuyo.spec,v $
Revision 1.17  2004/04/20 16:15:34  andree
- add patch0 - fix link
- add desktop file, rm applnkdir

Revision 1.16  2003/11/14 13:36:34  andree
- added url
- BR: libmikmod-devel
- updated doc
- update to 0.9.8 (ra ok, ac error)

Revision 1.15  2003/05/28 13:03:13  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:28:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.12  2002/11/29 22:48:08  ankry
- massive attack: new %%doc

Revision 1.11  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/18 18:31:34  gotar
- %desc

Revision 1.4  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/07/18 09:39:12  kloczek
- spec adapterized (man pagese in proper path).

Revision 1.2  2001/07/18 09:37:48  kloczek
- removed XFree86-devel from BuildRequires (gtk+-devel have this rule),
- added automake, autoconf, libtool to BuildRequires.

Revision 1.1  2001/07/18 09:04:37  undefine
- initital PLD version
